io.undertow.protocols.http2

## Class HpackEncoder

- java.lang.Object
- - io.undertow.protocols.http2.HpackEncoder

    public class HpackEncoder
    extends Object

Encoder for HPACK frames.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static interface` `HpackEncoder.HpackHeaderFunction`
`static class` `HpackEncoder.State`

### Field Summary

Fields
`static HpackEncoder.HpackHeaderFunction` `DEFAULT_HEADER_FUNCTION`

### Constructor Summary

Constructors
Constructor and Description
`HpackEncoder(int maxTableSize)`
`HpackEncoder(int maxTableSize, HpackEncoder.HpackHeaderFunction headerFunction)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HpackEncoder.State` `encode(HeaderMap headers, ByteBuffer target)` Encodes the headers into a buffer.
`void` `setMaxTableSize(int newSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_HEADER_FUNCTION

    public static final HpackEncoder.HpackHeaderFunction DEFAULT_HEADER_FUNCTION

### Constructor Detail

#### HpackEncoder

    public HpackEncoder(int maxTableSize,
                        HpackEncoder.HpackHeaderFunction headerFunction)

#### HpackEncoder

    public HpackEncoder(int maxTableSize)

### Method Detail

#### encode

    public HpackEncoder.State encode(HeaderMap headers,
                                     ByteBuffer target)

Encodes the headers into a buffer.

Parameters:
  `headers` -
  `target` -

#### setMaxTableSize

    public void setMaxTableSize(int newSize)